#!/bin/sh

for arg in "$@" 
do
     index=`expr $index + 1` 
      if test $index -gt 1 ; then
      narg=`echo $arg| sed 's/^\"//'| sed 's/\"$//'`
          # echo RRR $index $arg - $PAQS
          PAQS="$PAQS $narg"                 
      fi
done  

PACMAN="pacman --noconfirm "

TACCION=$1

ACCION=`echo $TACCION|awk -F'-' '{print $1}'`
ACCIONINFO=`echo $TACCION|awk -F'-' '{print $2}'`
EACCION=`echo $ACCIONINFO|awk -F'_' '{print $1}'`
E2ACCION=`echo $ACCIONINFO|awk -F'_' '{print $2}'`
echo Accion: $ACCION, Opciones: $ACCIONINFO Distro: SUSE
echo Paquetes: $PAQS

OS=`echo $EACTION |cut -b1`
OND=`echo $EACTION |cut -b2`
ONU=`echo $EACTION |cut -b3`
OF=`echo $EACTION |cut -b4`
OBD=`echo $EACTION |cut -b5`


if test "x$ACCION" = xinstall ; then
 if test "x$E2ACCION" = xdwld ; then
  echo $PACMAN -Sw
  $PACMAN -Sw
  #echo  $PACMAN install  --download-only $PAQS
  #$PACMAN install  --download-only $PAQS
  exit
 fi


OPTS=

if test "x$OS" != x ; then
 echo $PACMAN -Sw
  $PACMAN -Sw
fi



if test "x$OND" != x ; then
    #nodeps
    echo No funciona todavia
    #echo rpm -i --nodeps $PAQS
    # falta ver que es $PAQS    
    #rpm -i --nodeps $PAQS
    OPTS="$OPTS --nodeps"

    #
    exit
 fi

if test "x$ONU" != x ; then
    echo NO SE
    exit
fi
if test "x$OBD" != x ; then
    echo     $ZYPPER si -d
    $ZYPPER si -d
    exit
fi
if test  "x$OF" != x ; the
    OPTS="$OPTS --force"
    exit
fi

echo    $PACMAN -U $OPTS  $PAQS 
    $PACMAN -U $OPTS  $PAQS 

elif test "x$ACCION" = xoriginalsourceinstall ; then
   echo esto lo maneja source.sh, mal llamado desde babel

elif test "x$ACCION" = xsearch ; then
     echo $PACMAN -Ss $PAQS
     $PACMAN -Ss $PAQS
#  if test "x$EACCION" = xnames -o "x$EACCION" = x ; then
#     echo $PACMAN search  $PAQS
#     $PACMAN search  $PAQS
#  elif test "x$EACCION" = xall ; then
#     echo $PACMAN search -d $PAQS
#     $PACMAN search -d $PAQS
#  else
     echo error opcion $EACCION diferente a la habilitada con search
  fi
elif test "x$ACCION" = xinfo  ; then
       #la opcion aca EACCION no parece servir
     echo $PACMAN -Qi  $PAQS
     $PACMAN -Qi  $PAQS
elif test "x$ACCION" = xremove ; then
     echo $PACMAN -R  $PAQS
     $PACMAN -R $PAQS
elif test "x$ACCION" = xspecial ; then
echo $PACMAN -$ACCIONINFO $PAQS
    $PACMAN -$ACCIONINFO $PAQS

# fix clean specialnp delrepo refresh update distupdate

elif test "x$ACCION" = xfix ; then
 echo pacman dep level - testdb, shared lib level - findbrokenpkgs or lddd
 echo VER
elif test "x$ACCION" = xclean ; then
    echo $PACMAN -Scc 
     $PACMAN -Scc 
#pacman -Sc
#pacman -Scc 
     #apt-cache autoclean only obsolete
elif test "x$ACCION" = xdelrepo ; then
    echo No hecho todavia
elif test "x$ACCION" = xrefresh ; then
    $PACMAN -Sy
elif test "x$ACCION" = xupdate ; then
    $PACMAN -Syu
elif test "x$ACCION" = xdistupdate ; then
    $PACMAN -Syu
    #ver
elif test "x$ACCION" = xdepclean ; then
    echo $PACMAN -Qdt solo las lista
	$PACMAN -Qdt
elif test "x$ACCION" = xstats ; then
    echo No se como see /var/lib/pacman/local
elif test "x$ACCION" = xaddrepo ; then
#   echo $ZYPPER ar $PAQS
#    $ZYPPER ar $PAQS
#    #PAQ-$TOOLSET.sh ar $distro $nombre
else
 echo $PACMAN $ACCION $PAQS
  $PACMAN $ACCION $PAQS 
fi





#verify: sugiere
# no: locks

#otras acciones con otros scripts: update global, dup, addrepo fix clean
